void energy_fraction_neutron_graph_process_nu()
{
//=========Macro generated from canvas: c1/c1
//=========  (Thu Mar 17 15:49:54 2022) by ROOT version 6.20/02
gROOT->SetStyle("Plain");
	  gStyle->SetTitleBorderSize(0);
	  gStyle->SetOptStat("");
	  gStyle->SetLabelFont(102,"");
	  gStyle->SetLabelSize(0.06,"");
	  gStyle->SetLabelFont(102,"xyz");
	  gStyle->SetLabelSize(0.04,"xyz");
	  gStyle->SetLabelOffset(0.001,"x");
	  gStyle->SetLabelOffset(0.01,"y");
	  gStyle->SetTitleFont(42,"xyz");
	  gStyle->SetTitleFontSize(0.06);
	  gStyle->SetTitleFont(42);
	  gStyle->SetTitleSize(0.06,"xyz");
	  gStyle->SetTitleOffset(0.9,"x");
	  gStyle->SetTitleOffset(1.2,"y");
	  gStyle->SetStripDecimals(kFALSE);
	  gStyle->SetPadLeftMargin(0.15);
	  gStyle->SetPadBottomMargin(0.15);
	  gStyle->SetStatW(0.35);
	  gStyle->SetStatH(0.25);
	  gStyle->SetPadTickX(kTRUE);
	  gStyle->SetPadTickY(kTRUE);
	  gStyle->SetPalette(1);
	  gStyle->SetNumberContours(99);
	  gStyle->SetHistLineWidth(2);
	  gStyle->SetFrameLineWidth(2);
	  gStyle->SetFuncWidth(2);
	  gStyle->SetStatFont(42);
	  gStyle->SetOptFit(0);
	  gStyle->SetOptStat(0);
	  gStyle->SetOptStat(000000);  

 TCanvas *c1 = new TCanvas("c1", "c1",10,64,700,500);
   gStyle->SetOptStat(0);
   c1->Range(-2.749225,-0.09864865,18.39866,0.4554054);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(1);
   c1->SetTickx(1);
   c1->SetTicky(1);
   c1->SetLeftMargin(0.13);
   c1->SetRightMargin(0.16);
   c1->SetBottomMargin(0.16);
   c1->SetFrameBorderMode(0);
   c1->SetFrameBorderMode(0);
   
   Double_t Graph0_fx1001[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph0_fy1001[15] = {
   0.02502256,
   0.02327486,
   0.01779953,
   0.01467552,
   0.01315476,
   0.01185326,
   0.009529221,
   0.009066465,
   0.007603362,
   0.006992809,
   0.00657465,
   0.005802399,
   0.005120701,
   0.005061901,
   0.005036909};
   Double_t Graph0_fex1001[15] = {
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5};
   Double_t Graph0_fey1001[15] = {
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0};
   TGraphErrors *gre = new TGraphErrors(15,Graph0_fx1001,Graph0_fy1001,Graph0_fex1001,Graph0_fey1001);
   gre->SetName("Graph0");
   gre->SetTitle("");
   gre->SetFillStyle(1000);

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#ff0000");
   gre->SetLineColor(ci);

   ci = TColor::GetColor("#ff0000");
   gre->SetMarkerColor(ci);
   gre->SetMarkerStyle(20);
   
   TH1F *Graph_Graph01001 = new TH1F("Graph_Graph01001","",100,0,16.5);
   Graph_Graph01001->SetMinimum(-0.01);
   Graph_Graph01001->SetMaximum(0.4);
   Graph_Graph01001->SetDirectory(0);
   Graph_Graph01001->SetStats(0);
   Graph_Graph01001->SetLineWidth(3);
   Graph_Graph01001->SetMarkerStyle(20);
   Graph_Graph01001->GetXaxis()->SetTitle("E_{#nu} [GeV]");
   Graph_Graph01001->GetXaxis()->SetRange(1,91);
   Graph_Graph01001->GetXaxis()->SetLabelFont(132);
   Graph_Graph01001->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph01001->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph01001->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph01001->GetXaxis()->SetTitleFont(132);
   Graph_Graph01001->GetYaxis()->SetTitle("E_{n}/E_{#nu}");
   Graph_Graph01001->GetYaxis()->SetLabelFont(132);
   Graph_Graph01001->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph01001->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph01001->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph01001->GetYaxis()->SetTitleFont(132);
   Graph_Graph01001->GetZaxis()->SetLabelFont(132);
   Graph_Graph01001->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph01001->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph01001->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph01001->GetZaxis()->SetTitleFont(132);
   gre->SetHistogram(Graph_Graph01001);
   
   gre->Draw("ap");
   
   Double_t Graph1_fx1[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph1_fy1[15] = {
   0.09059184,
   0.07206367,
   0.04836658,
   0.03698197,
   0.0319439,
   0.02799917,
   0.02328243,
   0.02079054,
   0.01677568,
   0.01638664,
   0.01587185,
   0.01257246,
   0.01078437,
   0.0109531,
   0.01074996};
   TGraph *graph = new TGraph(15,Graph1_fx1,Graph1_fy1);
   graph->SetName("Graph1");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#ff0000");
   graph->SetLineColor(ci);
   graph->SetLineStyle(2);

   ci = TColor::GetColor("#ff0000");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   
   TH1F *Graph_Graph11 = new TH1F("Graph_Graph11","Graph",100,0,15.9);
   Graph_Graph11->SetMinimum(0.002765772);
   Graph_Graph11->SetMaximum(0.09857603);
   Graph_Graph11->SetDirectory(0);
   Graph_Graph11->SetStats(0);
   Graph_Graph11->SetLineWidth(3);
   Graph_Graph11->SetMarkerStyle(20);
   Graph_Graph11->GetXaxis()->SetLabelFont(132);
   Graph_Graph11->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph11->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph11->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph11->GetXaxis()->SetTitleFont(132);
   Graph_Graph11->GetYaxis()->SetLabelFont(132);
   Graph_Graph11->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph11->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph11->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph11->GetYaxis()->SetTitleFont(132);
   Graph_Graph11->GetZaxis()->SetLabelFont(132);
   Graph_Graph11->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph11->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph11->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph11->GetZaxis()->SetTitleFont(132);
   graph->SetHistogram(Graph_Graph11);
   
   graph->Draw("l");
   
   Double_t Graph2_fx1002[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph2_fy1002[15] = {
   0.07649875,
   0.07637568,
   0.06596325,
   0.05353596,
   0.04373991,
   0.03669318,
   0.03133813,
   0.02828758,
   0.02409078,
   0.02208534,
   0.01939651,
   0.01831071,
   0.01632925,
   0.01564836,
   0.01516513};
   Double_t Graph2_fex1002[15] = {
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5};
   Double_t Graph2_fey1002[15] = {
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0};
   gre = new TGraphErrors(15,Graph2_fx1002,Graph2_fy1002,Graph2_fex1002,Graph2_fey1002);
   gre->SetName("Graph2");
   gre->SetFillStyle(1000);

   ci = TColor::GetColor("#0000ff");
   gre->SetLineColor(ci);

   ci = TColor::GetColor("#0000ff");
   gre->SetMarkerColor(ci);
   gre->SetMarkerStyle(20);
   
   TH1F *Graph_Graph21002 = new TH1F("Graph_Graph21002","",100,0,16.5);
   Graph_Graph21002->SetMinimum(-0.01);
   Graph_Graph21002->SetMaximum(0.4);
   Graph_Graph21002->SetDirectory(0);
   Graph_Graph21002->SetStats(0);
   Graph_Graph21002->SetLineWidth(3);
   Graph_Graph21002->SetMarkerStyle(20);
   Graph_Graph21002->GetXaxis()->SetTitle("E_{#nu} [GeV]");
   Graph_Graph21002->GetXaxis()->SetRange(1,91);
   Graph_Graph21002->GetXaxis()->SetLabelFont(132);
   Graph_Graph21002->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph21002->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph21002->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph21002->GetXaxis()->SetTitleFont(132);
   Graph_Graph21002->GetYaxis()->SetTitle("E_{n}/E_{#nu}");
   Graph_Graph21002->GetYaxis()->SetLabelFont(132);
   Graph_Graph21002->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph21002->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph21002->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph21002->GetYaxis()->SetTitleFont(132);
   Graph_Graph21002->GetZaxis()->SetLabelFont(132);
   Graph_Graph21002->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph21002->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph21002->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph21002->GetZaxis()->SetTitleFont(132);
   gre->SetHistogram(Graph_Graph21002);
   
   gre->Draw("p");
   
   Double_t Graph3_fx2[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph3_fy2[15] = {
   0.2485869,
   0.2508767,
   0.211422,
   0.1677853,
   0.1340582,
   0.1111024,
   0.09443394,
   0.08367231,
   0.0712268,
   0.06407165,
   0.05574414,
   0.05407128,
   0.04789911,
   0.04565227,
   0.04342265};
   graph = new TGraph(15,Graph3_fx2,Graph3_fy2);
   graph->SetName("Graph3");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);

   ci = TColor::GetColor("#0000ff");
   graph->SetLineColor(ci);
   graph->SetLineStyle(2);

   ci = TColor::GetColor("#0000ff");
   graph->SetMarkerColor(ci);
   graph->SetMarkerStyle(20);
   
   TH1F *Graph_Graph32 = new TH1F("Graph_Graph32","Graph",100,0,15.9);
   Graph_Graph32->SetMinimum(0.02267724);
   Graph_Graph32->SetMaximum(0.2716221);
   Graph_Graph32->SetDirectory(0);
   Graph_Graph32->SetStats(0);
   Graph_Graph32->SetLineWidth(3);
   Graph_Graph32->SetMarkerStyle(20);
   Graph_Graph32->GetXaxis()->SetLabelFont(132);
   Graph_Graph32->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph32->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph32->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph32->GetXaxis()->SetTitleFont(132);
   Graph_Graph32->GetYaxis()->SetLabelFont(132);
   Graph_Graph32->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph32->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph32->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph32->GetYaxis()->SetTitleFont(132);
   Graph_Graph32->GetZaxis()->SetLabelFont(132);
   Graph_Graph32->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph32->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph32->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph32->GetZaxis()->SetTitleFont(132);
   graph->SetHistogram(Graph_Graph32);
   
   graph->Draw("l");
   
   Double_t Graph6_fx1004[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph6_fy1004[15] = {
   0.1608063,
   0.1367234,
   0.1160606,
   0.09923177,
   0.08729132,
   0.0796141,
   0.07430848,
   0.07014674,
   0.06577903,
   0.06197063,
   0.05949039,
   0.05668318,
   0.05413659,
   0.05077926,
   0.04955158};
   Double_t Graph6_fex1004[15] = {
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5,
   0.5};
   Double_t Graph6_fey1004[15] = {
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0};
   gre = new TGraphErrors(15,Graph6_fx1004,Graph6_fy1004,Graph6_fex1004,Graph6_fey1004);
   gre->SetName("Graph6");
   gre->SetTitle("");
   gre->SetFillStyle(1000);
   gre->SetMarkerStyle(20);
   
   TH1F *Graph_Graph61004 = new TH1F("Graph_Graph61004","",100,0,16.5);
   Graph_Graph61004->SetMinimum(-0.01);
   Graph_Graph61004->SetMaximum(0.4);
   Graph_Graph61004->SetDirectory(0);
   Graph_Graph61004->SetStats(0);
   Graph_Graph61004->SetLineWidth(3);
   Graph_Graph61004->SetMarkerStyle(20);
   Graph_Graph61004->GetXaxis()->SetTitle("E_{#nu} [GeV]");
   Graph_Graph61004->GetXaxis()->SetRange(1,91);
   Graph_Graph61004->GetXaxis()->SetLabelFont(132);
   Graph_Graph61004->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph61004->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph61004->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph61004->GetXaxis()->SetTitleFont(132);
   Graph_Graph61004->GetYaxis()->SetTitle("E_{n}/E_{#nu}");
   Graph_Graph61004->GetYaxis()->SetLabelFont(132);
   Graph_Graph61004->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph61004->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph61004->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph61004->GetYaxis()->SetTitleFont(132);
   Graph_Graph61004->GetZaxis()->SetLabelFont(132);
   Graph_Graph61004->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph61004->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph61004->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph61004->GetZaxis()->SetTitleFont(132);
   gre->SetHistogram(Graph_Graph61004);
   
   gre->Draw("p");
   
   Double_t Graph7_fx4[15] = {
   0.5,
   1.5,
   2.5,
   3.5,
   4.5,
   5.5,
   6.5,
   7.5,
   8.5,
   9.5,
   10.5,
   11.5,
   12.5,
   13.5,
   14.5};
   Double_t Graph7_fy4[15] = {
   0.3830211,
   0.3853492,
   0.3453691,
   0.2979681,
   0.261098,
   0.2373109,
   0.2231636,
   0.2098491,
   0.1999884,
   0.1881624,
   0.1818596,
   0.1734693,
   0.167525,
   0.1570963,
   0.1518287};
   graph = new TGraph(15,Graph7_fx4,Graph7_fy4);
   graph->SetName("Graph7");
   graph->SetTitle("Graph");
   graph->SetFillStyle(1000);
   graph->SetLineStyle(2);
   graph->SetMarkerStyle(20);
   
   TH1F *Graph_Graph74 = new TH1F("Graph_Graph74","Graph",100,0,15.9);
   Graph_Graph74->SetMinimum(0.1284767);
   Graph_Graph74->SetMaximum(0.4087013);
   Graph_Graph74->SetDirectory(0);
   Graph_Graph74->SetStats(0);
   Graph_Graph74->SetLineWidth(3);
   Graph_Graph74->SetMarkerStyle(20);
   Graph_Graph74->GetXaxis()->SetLabelFont(132);
   Graph_Graph74->GetXaxis()->SetLabelSize(0.05);
   Graph_Graph74->GetXaxis()->SetTitleSize(0.06);
   Graph_Graph74->GetXaxis()->SetTitleOffset(0.9);
   Graph_Graph74->GetXaxis()->SetTitleFont(132);
   Graph_Graph74->GetYaxis()->SetLabelFont(132);
   Graph_Graph74->GetYaxis()->SetLabelSize(0.05);
   Graph_Graph74->GetYaxis()->SetTitleSize(0.06);
   Graph_Graph74->GetYaxis()->SetTitleOffset(0.9);
   Graph_Graph74->GetYaxis()->SetTitleFont(132);
   Graph_Graph74->GetZaxis()->SetLabelFont(132);
   Graph_Graph74->GetZaxis()->SetLabelSize(0.05);
   Graph_Graph74->GetZaxis()->SetTitleSize(0.06);
   Graph_Graph74->GetZaxis()->SetTitleOffset(0.75);
   Graph_Graph74->GetZaxis()->SetTitleFont(132);
   graph->SetHistogram(Graph_Graph74);
   
   graph->Draw("l");
   
   TLegend *leg = new TLegend(0.64,0.7,0.84,0.9,NULL,"brNDC");
   leg->SetBorderSize(1);
   leg->SetTextFont(62);
   leg->SetLineColor(1);
   leg->SetLineStyle(1);
   leg->SetLineWidth(1);
   leg->SetFillColor(0);
   leg->SetFillStyle(1001);
   TLegendEntry *entry=leg->AddEntry("Graph0","QES mean","lpf");
   entry->SetFillStyle(1000);

   ci = TColor::GetColor("#ff0000");
   entry->SetLineColor(ci);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);

   ci = TColor::GetColor("#ff0000");
   entry->SetMarkerColor(ci);
   entry->SetMarkerStyle(20);
   entry->SetMarkerSize(1);
   entry->SetTextFont(62);
   entry=leg->AddEntry("Graph2","RES mean","lpf");
   entry->SetFillStyle(1000);

   ci = TColor::GetColor("#0000ff");
   entry->SetLineColor(ci);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);

   ci = TColor::GetColor("#00ff00");
   entry->SetLineColor(ci);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);

   ci = TColor::GetColor("#00ff00");
   entry->SetMarkerColor(ci);
   entry->SetMarkerStyle(20);
   entry->SetMarkerSize(1);
   entry->SetTextFont(62);
   entry=leg->AddEntry("Graph6","DIS mean","lpf");
   entry->SetFillStyle(1000);
   entry->SetLineColor(1);
   entry->SetLineStyle(1);
   entry->SetLineWidth(1);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(20);
   entry->SetMarkerSize(1);
   entry->SetTextFont(62);
   entry=leg->AddEntry("","90% upper limits","l");
   entry->SetLineColor(1);
   entry->SetLineStyle(2);
   entry->SetLineWidth(1);
   entry->SetMarkerColor(1);
   entry->SetMarkerStyle(21);
   entry->SetMarkerSize(1);
   entry->SetTextFont(62);
   leg->Draw();
   
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
   c1->SaveAs("energy_fraction_neutron_graph_process_nu.pdf");
}
